from launch import LaunchDescription
from launch_ros.actions import Node
import os
from ament_index_python.packages import get_package_share_directory


def generate_launch_description():
    pkg = get_package_share_directory('saltybot_bridge')
    params_file = os.path.join(pkg, 'config', 'estop_params.yaml')
    return LaunchDescription([
        Node(
            package='saltybot_bridge',
            executable='remote_estop_node',
            name='remote_estop_node',
            parameters=[params_file],
            output='screen',
        ),
    ])
